/*
Created by Devyn Collier Johnson
<DevynCJohnson@Gmail.com>
LGPLv3

GNU Lesser General Public License v3
Copyright (c) Devyn Collier Johnson, All rights reserved.

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library.
*/

#define _GNU_SOURCE
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/syscall.h>
#include <sys/types.h>
//getsid() - returns the Session ID
int main(int argc, char *argv[]) {
	int pid, sid;
	if (argc > 2) {
		printf("Expected one or no parameters, but was given %d\n", argc - 1);
		return 1;
	} else if (argc == 1) {
		pid = 0;
	} else {
		pid = atoi(argv[1]);
	}
	pid_t getsid(pid_t pid);
	sid = getsid(pid);
	printf("%d\n", sid);
	return 0;
}
